from fastapi import APIRouter, Depends

from .root import router as root_router
from .schedule import router as schedule_router
from .translation import set_language
from .weather import router as weather_router

router = APIRouter(tags=["view"], dependencies=[Depends(set_language)], include_in_schema=False)
router.include_router(root_router)
router.include_router(weather_router)
router.include_router(schedule_router)
